Skip to main content
Resource Center/Resource Pool/VM Scheduling Rule Group Operations
PUTVM Scheduling Rule Group OperationsSince 4.6.0SynchronousAuth Required

UpdateHostSchedulingRuleGroup

UpdateHostSchedulingRuleGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatehostschedulingrulegroupObjectRequired

    updatehostschedulingrulegroup request body object.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. Optional. The detailed description of the resource.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryAffinityGroupInventoryRequired

    See inventory

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

PUT/zstack/v1/hostSchedulingRuleGroup/{uuid}

/zstack/v1/hostSchedulingRuleGroup/{uuid}

Operation ID

UpdateHostSchedulingRuleGroup

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/hostSchedulingRuleGroup/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatehostschedulingrulegroup":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "b96c8635e48435eca42d3cbfca25704f", "name": "test", "description": "desc", "zoneUuid": "afcd30e31ebb38a8b0a2f013fce73f7a", "clusterUuid": "ae9b2f516fd43913b1d458ebe5f7222d" } }

Change History

This API has no change history records yet.

View all change history